--- title: "Get all Quarantine Zones at Domain Level" slug: "get-all-quarantine-zones-at-domain-level-2" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:56:47Z published: 2026-11-19T12:56:47Z canonical: "docs.trellix.com/get-all-quarantine-zones-at-domain-level-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get all Quarantine Zones at Domain Level This URL retrieves details of all quarantine zones at given domain. ### Resource URL GET /domain//quarantineZone ### Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `domainId` | Domain id | Number | Yes | Payload Request Parameters: None ### Response Parameters Following fields are returned if the operation was successful, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | `quarantineZoneList` | List of quarantine zones defined in the domain | Array | Details of quarantineZoneList: | Field Name | Description | Data Type | | --- | --- | --- | | `quarantineZoneId` | Quarantine zone unique id | Number | | `quarantineZoneName` | Name of quarantine zone | String | | `quarantineZoneDescription` | Description of quarantine zone | String | | `ownerId` | Domain id | Number | | `visibleToChild` | Is quarantine one visible to child domain | Boolean | | `isEditable` | Is quarantine zone editable or not | Boolean | | `quarantineZoneVersion` | Quarantine zone version | Number | | `lastModifiedTime` | The time quarantine zone last modified | String | | `lastModifiedUser` | Last user that modified the quarantine zone | String | | `rules` | Member rules of quarantine zone | Array | Details of rules: | Field Name | Description | Data Type | | --- | --- | --- | | `uuid` | Unique id of rule | Number | | `state` | Is rule enabled or not | Boolean | | `ruleDescription` | Description of rule | String | | `destObjList` | Destination rule object | Object | | `serviceObjList` | Service rule object | Object | | `action` | Action to be performed if the traffic matches this rule, can be "PERMIT"/ "DROP" | String | | `islogging` | Is logging enabled for this rule | Boolean | Details of destObjList: | Field Name | Description | Data Type | | --- | --- | --- | | `RuleObjectId` | Unique rule object id | String | | `RuleObjectName` | Rule object name | String | | `RuleObjectType` | Destination mode. Can be "IPV4_NETWORK" / "IPV4_ENDPOINT" / | String | Details of serviceObjList: | Field Name | Description | Data Type | | --- | --- | --- | | `RuleObjectId` | Unique rule object id | String | | `RuleObjectName` | Rule object name | String | | `RuleObjectType` | Destination mode. Can be "SERVICE" | String | | `ApplicationType` | Application type. Can be "DEFAULT" / "CUSTOM" | String | ### Example **Request** GET [https:///sdkapi/domain/0/quarantineZone](https://<NSM_IP>/sdkapi/domain/0/quarantineZone) Payload None **Response** ``` {         "quarantineZoneList": [          {      "quarantineZoneId": 201,      "quarantineZoneName": "Quarantine1",      "quarantineZoneDescription": "Desc:Adds a new Quarantine Zone1",      "ownerId": 0,      "visibleToChild": true,      "isEditable": false,      "quarantineZoneVersion": 0,      "lastModifiedTime": "2017-06-21 11:13:29",      "lastModifiedUser": "admin",      "rules": [        {          "uuid": 101,          "state": true,          "ruleDescription": "create a new rule",          "destObjList": [],          "serviceObjList": [],          "action": "PERMIT",          "islogging": true        },        {          "uuid": 102,          "state": true,          "ruleDescription": "create a new rule",          "destObjList": [],          "serviceObjList": [],          "action": "DROP",          "islogging": true        },        {          "uuid": 103,          "state": true,          "ruleDescription": "create a new rule",          "destObjList": [],          "serviceObjList": [],          "action": "PERMIT",          "islogging": false        }      ]    },    {      "quarantineZoneId": 51,      "quarantineZoneName": "Allow Full Access",      "quarantineZoneDescription": "Default zone that provides full network    access.",      "ownerId": 0,      "visibleToChild": true,      "isEditable": false,      "quarantineZoneVersion": 0,      "lastModifiedTime": "2017-06-21 10:29:54",      "lastModifiedUser": "admin",      "rules": [        {          "uuid": 31,          "state": true,          "ruleDescription": "Full Access",          "destObjList": [],          "serviceObjList": [],          "action": "PERMIT",          "islogging": false        }      ]    }  ] } ``` ### Error Information Following error code is returned by this URL: | No | SDK API errorId | SDK API errorMessage | | --- | --- | --- | | 1 | 1105 | Invalid domain |